Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.objects
Class SweepSequence

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.graph.impl.ContextDependentBase
              de.grogra.math.Sweep
                  de.grogra.math.ExtendedSweep
                      de.grogra.imp3d.objects.SweepSequence

All Implemented Interfaces:
  ContextDependent, BSplineCurveList, Manageable, Shareable

    public class SweepSequence

extends ExtendedSweep

Nested Class Summary
`static class` | `SweepSequence.Type`

Field Summary
`static SweepSequence.Type` | `$TYPE`
`static SCOType.Field` | `hermite$FIELD`
`static SCOType.Field` | `name$FIELD`
`static SCOType.Field` | `path$FIELD`
`static SCOType.Field` | `tangentLength$FIELD`

Fields inherited from class de.grogra.math.Sweep
`useRail$FIELD`

Constructor Summary
`SweepSequence()`
`SweepSequence(java.lang.String name)`
`SweepSequence(java.lang.String name, boolean useRail)`

Method Summary
`boolean` | `dependsOnContext()` Determines whether this object actually depends on context.
`protected java.lang.Object[]` | `getCache(GraphState state)`
`ManageableType` | `getManageableType()`
`java.lang.String` | `getName()`
`int` | `getPath()`
`float` | `getTangentLength()`
`protected BSplineCurve` | `init(Int2ObjectMap profiles, GraphState gs)`
`boolean` | `isHermite()`
`void` | `setHermite(boolean value)`
`void` | `setName(java.lang.String value)`
`void` | `setPath(int value)`
`void` | `setTangentLength(float value)`
`void` | `writeStamp(Cache.Entry cache, GraphState gs)` Writes a stamp of the context into `cache`.

Methods inherited from class de.grogra.math.ExtendedSweep
`getDegree, getKnot, getSize, getTrajectory, getVertexImpl, initCache`

Methods inherited from class de.grogra.math.Sweep
`areCurvesCompatible, calculateLocalX, computeTrajectory, getCacheImpl, getDimension, getSize, getVertex, initLocalX, isRational, setUseRail`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final SweepSequence.Type $TYPE

### hermite$FIELD

    public static final SCOType.Field hermite$FIELD

### name$FIELD

    public static final SCOType.Field name$FIELD

### path$FIELD

    public static final SCOType.Field path$FIELD

### tangentLength$FIELD

    public static final SCOType.Field tangentLength$FIELD

Constructor Detail

### SweepSequence

    public SweepSequence()

### SweepSequence

    public SweepSequence(java.lang.String name)

### SweepSequence

    public SweepSequence(java.lang.String name,
                         boolean useRail)

Method Detail

### dependsOnContext

    public boolean dependsOnContext()

  Description copied from interface: `ContextDependent`
  Determines whether this object actually depends on context.

  Returns:
    `true` iff this object depends on context

### getCache

    protected java.lang.Object[] getCache(GraphState state)

  Overrides:
    `getCache` in class `Sweep`

### getManageableType

    public ManageableType getManageableType()

### getName

    public java.lang.String getName()

### getPath

    public int getPath()

### getTangentLength

    public float getTangentLength()

### init

    protected BSplineCurve init(Int2ObjectMap profiles,
                                GraphState gs)

  Specified by:
    `init` in class `ExtendedSweep`

### isHermite

    public boolean isHermite()

### setHermite

    public void setHermite(boolean value)

### setName

    public void setName(java.lang.String value)

### setPath

    public void setPath(int value)

### setTangentLength

    public void setTangentLength(float value)

### writeStamp

    public void writeStamp(Cache.Entry cache,
                           GraphState gs)

  Description copied from interface: `ContextDependent`
  Writes a stamp of the context into `cache`. Based on this stamp, a cache detects whether the context of this object has changed or not.

  Specified by:
    `writeStamp` in interface `ContextDependent`
  Overrides:
    `writeStamp` in class `ContextDependentBase`
  Parameters:
    `cache` - a cache entry to write the stamp
    `gs` - the current graph state

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD